
' Step 1 - Create an organization configuration object
Set BT = CreateObject("BizTalk.BizTalkConfig")
Set org = BT.CreateOrganization()

' Step 2 - Name the organization and create it in the database
org.Name = "BizTalk Unleashed Organization"
hOrg = org.Create()
MsgBox "New object created, handle = " & org.Handle & " DateModified = " & org.DateModified & "."

' Step 3 - Load our Organization by handle
org.Clear
org.Load hOrg
MsgBox org.Name & " loaded."

' Step 4 - Change the organizations name and save it back to the database
org.Name = "BizTalk Unleashed Sample Organization"
org.Save
MsgBox org.Name & " saved."

' Step 5 - Clear the config object and load our organization by name
org.Clear
org.LoadByName "BizTalk Unleashed Sample Organization"
MsgBox org.Name & " loaded."

' Step 6 - Remove our new organization from the database
org.Remove
MsgBox org.Name & " removed."
